package com.izouma.awesomeadmin.service;

import java.util.List;

import com.izouma.awesomeadmin.dto.Page;
import com.izouma.awesomeadmin.dto.TreeNode;
import com.izouma.awesomeadmin.model.DepartInfo;

/**
 * depart_info service接口类
 * Thu Apr 26 10:56:37 CST 2018  Suo Chen Cheng
 */ 
public interface DepartInfoService {

	List <DepartInfo> getDepartInfoList(DepartInfo record);

	List <DepartInfo> getDepartInfoByPage(Page page, DepartInfo record);

	DepartInfo getDepartInfoById(String id);

	DepartInfo getDepartInfo(DepartInfo record);

	boolean createDepartInfo(DepartInfo record);

	boolean deleteDepartInfo(String id);

	boolean updateDepartInfo(DepartInfo record);

	List <DepartInfo> getParentList(Integer id);

	List<TreeNode> getDepartTree(boolean all, Integer userId);
}

